Loading...
Searching...
No Matches
TableParseUtil.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/tables/Tables/Table.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines
namespace | casacore::TableParseUtil

## Functions

Table | casacore::TableParseUtil::getTable (Int tabnr, const String &name, const Table &ftab, const std::vector< const Table * > &tempTables, const std::vector< TableParseQuery * > &stack, Bool alwaysOpen=True)
| Make a Table object for given name, seqnr or so.
Table | casacore::TableParseUtil::openParentTable (const String &fullName, const String &subTableName, const std::vector< const Table * > &tempTables, const std::vector< TableParseQuery * > &stack)
| Open the parent table of a subtable.
Bool | casacore::TableParseUtil::splitName (String &shorthand, String &columnName, Vector< String > &fieldNames, const String &name, Bool checkError, Bool isKeyword, Bool allowNoKey)
| Split a name into its parts (shorthand, column and field names).
void | casacore::TableParseUtil::setRecFld (RecordInterface &rec, const String &name, const String &dtype, const ValueHolder &vh)
| Define a field with the given data type in the Record.
String | casacore::TableParseUtil::getTypeString (const String &typeStr, DataType type)
| Get the type string.
Block< String > | casacore::TableParseUtil::getStoredColumns (const Table &tab)
| Find the names of all stored columns in a table.
TableExprNode | casacore::TableParseUtil::getColSet (const Table &table)
| Make an array from the contents of a column in a subquery.